<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet" type="text/css">


    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <style> #indentSoft{text-indent: 25px;}
            #indentHard{text-indent:40px;}
            .footer{position: fixed; right: 0; bottom: 0; left: 0; padding: 1rem; background-color: #efefef; text-align: right;}
            .profileBox{outline: 3px solid #3d4852; padding:15px; background-color: white; width: 45%; margin: 25px;}
            .libraryBox{ padding:15px; background-color: white; width: 45%;}
            .profileBlock{outline: 3px solid #3d4852; padding:15px; background-color: white; width: 94%; margin: 25px;}
            .movieCard{width: 28%; height: 40%; margin: 25px; padding: 15px; box-shadow: 10px 10px 25px #3d4852}
    </style>

</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light navbar-laravel" style="background-color: #D3D3D3;">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}" style=" text-shadow: 1px 1px yellow">
                    <strong><i>{{ config('app.name', 'Laravel') }}</i></strong>
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('about') }}">{{ __('About') }}</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('library') }}">{{ __('Library') }}</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('contact') }}">{{ __('Contact Us') }}</a>
                        </li>
                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>
                            <li class="nav-item">
                                @if (Route::has('register'))
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                @endif
                            </li>
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                     Hello, {{ Auth::user()-> firstName }} {{ Auth::user()-> lastName }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('user.show', Auth::user()->id) }}"> My Profile</a>

                                    <a class="dropdown-item" href="{{ route('adminPanel') }}"> Admin Panel</a>

                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            <div class="container">
                @include('layouts.error')

                @yield('content')

            </div>

        </main>
    </div>
</body>
        <footer class="footer">

                <div class="container">
                    <div align="right">
                        <a href="{{ route('project') }}">Project Developed </a> by Team Cav-Haylee-Spencer &copy; Geneva College 2018
                    </div>

                </div>
        </footer>
</html>
